#!/usr/bin/env bash
while true
do
sleep 0.5
RESULT=$(sensors -u | sed -n 's/_input//p' | tail -n 1 | cut -d: -f2 | sed 's/\..*//g')
CPU=$(top -bn1 | awk '/Cpu/ { cpu = 100 - $8 "%" }; END  { print cpu }')
DATE=$(date)
linewithoutip=$(echo $LINE | sed 's/$ip//')
convert -size 1024x768 background.bmp \( -size 1000x750 -geometry +10+10 -fill white -pointsize 40 -background none pango:"🌡 Температура CPU:$RESULT°C\n📟 Загрузка CPU: $CPU\n\n\n\n\n\n\n\n\n\n⏲ $DATE" \) -composite buf.bmp
convert buf.bmp bgra:/dev/fb0
echo loop...
done
